Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface WLDFInstrumentationRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

public interface WLDFInstrumentationRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface defines various methods for accessing runtime information about the diagnostic instrumentation system.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getCallJoinpointCount()` The number of affected CALL joinpoints for all classes that were inspected.
`int` | `getExecutionJoinpointCount()` The number of affected EXECUTION joinpoints for all classes that were inspected.
`int` | `getInspectedClassesCount()` The number of classes inspected for weaving (weaving is the insertion of diagnostic code).
`long` | `getMaxWeavingTime()` For all classes, the weaving time in nanoseconds for the class that required the most time to process (includes the time spent both for inspection and for modification).
`long` | `getMinWeavingTime()` For all classes, the weaving time in nanoseconds for the class that required the least time to process (includes the time spent both for inspection and for modification).
`int` | `getModifiedClassesCount()` The number of modified classes (classes where diagnostic code has been inserted).
`long` | `getTotalWeavingTime()` For all classes, the total weaving time in nanoseconds for processing (includes the time spent both for inspection and for modification).

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getCallJoinpointCount

    public int getCallJoinpointCount()

  The number of affected CALL joinpoints for all classes that were inspected. (CALL joinpoints are on the caller side.)

  Returns:
    the number of affected CALL joinpoints

### getExecutionJoinpointCount

    public int getExecutionJoinpointCount()

  The number of affected EXECUTION joinpoints for all classes that were inspected. (EXECUTION joinpoints are on the callee side.)

  Returns:
    the number of affected EXECUTION joinpoints

### getInspectedClassesCount

    public int getInspectedClassesCount()

  The number of classes inspected for weaving (weaving is the insertion of diagnostic code).

  Returns:
    the number of inspected classes for weaving

### getMaxWeavingTime

    public long getMaxWeavingTime()

  For all classes, the weaving time in nanoseconds for the class that required the most time to process (includes the time spent both for inspection and for modification).

  Returns:
    the maximum weaving time for a class in nano-seconds

### getMinWeavingTime

    public long getMinWeavingTime()

  For all classes, the weaving time in nanoseconds for the class that required the least time to process (includes the time spent both for inspection and for modification).

  Returns:
    Minimum weaving time for a class in nanoseconds

### getModifiedClassesCount

    public int getModifiedClassesCount()

  The number of modified classes (classes where diagnostic code has been inserted).

  Returns:
    the number of modified classes

### getTotalWeavingTime

    public long getTotalWeavingTime()

  For all classes, the total weaving time in nanoseconds for processing (includes the time spent both for inspection and for modification).

  Returns:
    Total weaving time in nanoseconds for all classes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD